Get Event Registrations
curl --request GET \
--url https://api.example.com/api/v1/magic-events/{id}/registrations/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/v1/magic-events/{id}/registrations/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/v1/magic-events/{id}/registrations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"user_identifier": "<string>",
"user": {
"id": 123,
"captain": true,
"queue_group": "<unknown>"
},
"magic_event": 123,
"registration_status": "IN_PROGRESS",
"registration_completed_datetime": "2023-11-07T05:31:56Z",
"waitlisted_datetime": "2023-11-07T05:31:56Z",
"mark_as_paid": true,
"stripe_payment_intent_status": "SUCCEEDED",
"paypal_order_status": "CREATED",
"payment_method": "STRIPE",
"matches_won": -1,
"matches_lost": -1,
"matches_drawn": -1,
"total_match_points": -1,
"queue_check_in_status": "WAITING_FOR_CHECK_IN_REQUEST",
"queue_group_role": {
"id": 123,
"captain": true,
"queue_group": "<unknown>"
},
"internal_notes": "<string>",
"fixed_seat": -1,
"has_byes_for_round_numbers": [
-1
],
"using_paper_decklist": true,
"decklist": {
"id": 123,
"captain": true,
"queue_group": "<unknown>"
},
"final_place_in_standings": -1,
"paypal_order_id": "<string>"
}
]magic-events
Get Event Registrations
Retrieve all registrations for a specific Magic event, including user details, decklists, and queue group information. Results are ordered by registration completion time.
GET
/
api
/
v1
/
magic-events
/
{id}
/
registrations
/
Get Event Registrations
Authorizations
APIKeyAPIKey
API key in format: sk_*
Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
IN_PROGRESS- In ProgressIN_WAITING_ROOM- In Waiting RoomON_WAITLIST- On WaitlistMOVED_TO_CHILD_EVENT- Moved to Child EventCOMPLETE- CompleteCANCELED- CanceledDROPPED- DroppedDISQUALIFIED- DisqualifiedELIMINATED- Eliminated
Available options:
IN_PROGRESS, IN_WAITING_ROOM, ON_WAITLIST, MOVED_TO_CHILD_EVENT, COMPLETE, CANCELED, DROPPED, DISQUALIFIED, ELIMINATED SUCCEEDED- SucceededPROCESSING- ProcessingPAYMENT_FAILED- Payment FailedREQUIRES_CAPTURE- Requires CaptureREFUNDED- Refunded
Available options:
SUCCEEDED, PROCESSING, PAYMENT_FAILED, REQUIRES_CAPTURE, REFUNDED CREATED- CreatedSAVED- SavedAPPROVED- ApprovedVOIDED- VoidedCOMPLETED- CompletedPAYER_ACTION_REQUIRED- Payer Action Required
Available options:
CREATED, SAVED, APPROVED, VOIDED, COMPLETED, PAYER_ACTION_REQUIRED STRIPE- StripePAYPAL- PayPal
Available options:
STRIPE, PAYPAL Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647WAITING_FOR_CHECK_IN_REQUEST- Waiting for Check-In RequestSTANDBY- StandbyWAITING_FOR_PLAYER_RESPONSE- Waiting for Player ResponseCHECKED_IN- Checked InDECLINED- DeclinedTIMED_OUT- Timed Out
Available options:
WAITING_FOR_CHECK_IN_REQUEST, STANDBY, WAITING_FOR_PLAYER_RESPONSE, CHECKED_IN, DECLINED, TIMED_OUT Show child attributes
Show child attributes
Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Show child attributes
Show child attributes
Required range:
-2147483648 <= x <= 2147483647Maximum string length:
255
